# chouti

python3.12

## Install

### using pipx

```bash
pipx install --force --index-url https://git.saveweb.org/api/packages/saveweb/pypi/simple/ --pip-args='--extra-index-url https://pypi.tuna.tsinghua.edu.cn/simple' chouti
```

### using pip

```bash
pip install -U --index-url https://git.saveweb.org/api/packages/saveweb/pypi/simple/ --extra-index-url https://pypi.tuna.tsinghua.edu.cn/simple chouti
```

### using uv

```bash
uv pip --no-cache-dir install --upgrade --index-url https://git.saveweb.org/api/packages/saveweb/pypi/simple/      --extra-index-url https://pypi.org/simple chouti
```

## Run

```
chouti_links # links metadata
```


---

Docker User: consider using the [--tty parameter](https://docs.docker.com/reference/cli/docker/container/run/#tty)