import os
import time
import tracemalloc
# from rich import print
# from rich.console import Console
i = 0
while True:
    tra = f'tracemalloc-dump-{i}m.dump'
    if not os.path.exists(tra):
        break
    # console = Console()
    snapshot = tracemalloc.Snapshot.load(tra)
    if i > 0:
        top_stats = snapshot.compare_to(tracemalloc.Snapshot.load(f'tracemalloc-dump-{i-1}m.dump'), 'lineno')
    else:
        top_stats = snapshot.statistics('lineno')
    print(f'Snapshot {i}m:')
    for index, stat in enumerate(top_stats, 1):
        if 'ssl' in stat.traceback[0].filename:
            print(f'#{index}: {stat}')
    i += 1
    # total memory
    total = sum(stat.size for stat in top_stats)
    print(f'Total memory: {total/1024/1024:.1f}MB')
    # clear console
    # input('Press Enter to continue...')
    time.sleep(5)
    # console.clear()
input('...')